%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Cpu-freq plugin for Xfce desktop
Name:		xfce4-cpufreq-plugin
Version:	1.2.9
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-cpufreq-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.16.0
Requires:	xfce4-panel >= 4.16.0

%description
xfce4-cpufreq-plugin shows the current CPU frequency and governor in the
panel, and the frequencies and governors and more information for all
CPUs in a separate overview.

Note that at the moment, xfce4-cpufreq-plugin does not permit to change
any of these CPU settings.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README* ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libcpufreq.so
%{_datadir}/xfce4/panel/plugins/cpufreq.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Wed Dec 25 2024 wally <wally> 1.2.9-1.mga10
+ Revision: 2130027
- new version 1.2.9

* Fri Nov 04 2022 wally <wally> 1.2.8-1.mga9
+ Revision: 1902908
- new version 1.2.8

* Thu Apr 14 2022 wally <wally> 1.2.7-1.mga9
+ Revision: 1849614
- new version 1.2.7

* Mon Apr 04 2022 umeabot <umeabot> 1.2.5-2.mga9
+ Revision: 1843524
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 wally <wally> 1.2.5-1.mga9
+ Revision: 1697473
- new version 1.2.5

* Sat Feb 27 2021 wally <wally> 1.2.4-1.mga9
+ Revision: 1692742
- new version 1.2.4

* Sat Oct 17 2020 wally <wally> 1.2.2-1.mga8
+ Revision: 1636539
- new version 1.2.2

* Wed Feb 12 2020 umeabot <umeabot> 1.2.1-2.mga8
+ Revision: 1511529
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 wally <wally> 1.2.1-1.mga7
+ Revision: 1297114
- new version 1.2.1

* Sat May 19 2018 wally <wally> 1.2.0-1.mga7
+ Revision: 1230505
- new version 1.2.0

* Sat Sep 30 2017 wally <wally> 1.1.90-1.mga7
+ Revision: 1161926
- new version 1.1.90
- switch to gtk3

* Mon Apr 25 2016 wally <wally> 1.1.3-1.mga6
+ Revision: 1006134
- new version 1.1.3

* Wed Feb 17 2016 umeabot <umeabot> 1.1.2-2.mga6
+ Revision: 963496
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 wally <wally> 1.1.2-1.mga6
+ Revision: 842355
- new version 1.1.2

* Tue Mar 03 2015 wally <wally> 1.1.1-2.mga5
+ Revision: 817434
- rebuild for new libxfce4util

* Sat Feb 07 2015 wally <wally> 1.1.1-1.mga5
+ Revision: 813883
- new version 1.1.1
- drop upstreamed patches

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 741038
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 533682
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 wally <wally> 1.1.0-1.mga4
+ Revision: 474811
- new version 1.1.0
- add patch from upstream git to fix plugin build (xfce#10332)
- drop unneeded patches
- exclude plugin .so from provides
- update description

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-8.mga3
+ Revision: 386796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.0.0-7.mga3
+ Revision: 338164
- add patch to fix build with automake 1.13
- fix build after %%_libexecdir change

* Sun Jun 17 2012 wally <wally> 1.0.0-6.mga3
+ Revision: 261123
- port to libxfce4ui

* Tue May 29 2012 wally <wally> 1.0.0-5.mga3
+ Revision: 249453
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190056
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54173
- imported package xfce4-cpufreq-plugin


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 632769
- update to new version 1.0.0
- fix url for Source0
- package locales
- drop old scriplets
- fix file list

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-11mdv2011.0
+ Revision: 615573
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-10mdv2010.1
+ Revision: 543420
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.0.1-9mdv2010.0
+ Revision: 445979
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-8mdv2009.1
+ Revision: 349447
- rebuild for xfce-4.6.0

* Fri Jan 02 2009 Jérôme Soyer <saispo@mandriva.org> 0.0.1-7mdv2009.1
+ Revision: 323288
- Rewind...
- Change name and rebuild
- Readd current directory


* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-6mdv2009.0
+ Revision: 194499
- drop patch0 as it doesn't work

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-5mdv2008.1
+ Revision: 110102
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- use upstream name

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.1-4mdv2008.0
+ Revision: 90382
- rebuild

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-3mdv2008.0
+ Revision: 33207
- add macros to %%post and %%postun
- spec file clean
- drop __libtoolize

